Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ODCI
Class ODCICost

    java.lang.Object
      |
      +--oracle.ODCI.ODCICost

public class ODCICost
extends java.lang.Object

Field Summary
`protected static ODCICost` | `_ODCICostFactory`
`static java.lang.String` | `_SQL_NAME`
`static int` | `_SQL_TYPECODE`
`protected MutableStruct` | `_struct`

Constructor Summary
`` | `ODCICost()`
`protected` | `ODCICost(boolean init)`

Method Summary
`ORAData` | `create(Datum d, int sqlType)`
`protected ORAData` | `create(ODCICost o, Datum d, int sqlType)`
`java.math.BigDecimal` | `getCPUcost()`
`java.lang.String` | `getIndexCostInfo()`
`java.math.BigDecimal` | `getIOcost()`
`java.math.BigDecimal` | `getNetworkCost()`
`static ORADataFactory` | `getORADataFactory()`
`void` | `setCPUcost(java.math.BigDecimal CPUcost)`
`void` | `setIndexCostInfo(java.lang.String IndexCostInfo)`
`void` | `setIOcost(java.math.BigDecimal IOcost)`
`void` | `setNetworkCost(java.math.BigDecimal NetworkCost)`
`Datum` | `toDatum(java.sql.Connection c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _SQL_NAME

    public static final java.lang.String _SQL_NAME

  See Also:
    Constant Field Values

### _SQL_TYPECODE

    public static final int _SQL_TYPECODE

### _struct

    protected MutableStruct _struct

### _ODCICostFactory

    protected static final ODCICost _ODCICostFactory

Constructor Detail

### ODCICost

    protected ODCICost(boolean init)

### ODCICost

    public ODCICost()

Method Detail

### getORADataFactory

    public static ORADataFactory getORADataFactory()

### toDatum

    public Datum toDatum(java.sql.Connection c)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    public ORAData create(Datum d,
                          int sqlType)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    protected ORAData create(ODCICost o,
                             Datum d,
                             int sqlType)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getCPUcost

    public java.math.BigDecimal getCPUcost()
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setCPUcost

    public void setCPUcost(java.math.BigDecimal CPUcost)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIOcost

    public java.math.BigDecimal getIOcost()
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIOcost

    public void setIOcost(java.math.BigDecimal IOcost)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNetworkCost

    public java.math.BigDecimal getNetworkCost()
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setNetworkCost

    public void setNetworkCost(java.math.BigDecimal NetworkCost)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIndexCostInfo

    public java.lang.String getIndexCostInfo()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIndexCostInfo

    public void setIndexCostInfo(java.lang.String IndexCostInfo)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.